/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.fabric.services.discovery;

import java.util.ArrayList;
import java.util.List;

import org.fabric3.spi.services.discovery.DiscoveryService;
import org.fabric3.spi.services.discovery.DiscoveryServiceRegistry;

/**
 * Default implementation of a DiscoveryServiceRegistry.
 *
 * @version $Rev: 5224 $ $Date: 2008-08-19 11:07:18 -0700 (Tue, 19 Aug 2008) $
 */
public class DiscoveryServiceRegistryImpl implements DiscoveryServiceRegistry {
    private List<DiscoveryService> services = new ArrayList<DiscoveryService>();

    public void register(DiscoveryService service) {
        services.add(service);
    }

    public void unRegister(DiscoveryService service) {
        services.remove(service);
    }

    public List<DiscoveryService> getServices() {
        return services;
    }
}
